Modal dialogs don't appear on the same workspace/monitor as their parent window

Reported by Amit Kucheria on 2011-04-08
214
This bug affects 49 people
Affects Status Importance Assigned to Milestone
Compiz
Medium
Andrea Azzarone
compiz (Ubuntu)
Medium
Andrea Azzarone

Bug Description

Binary package hint: unity

1. Open a doc in libreoffice and create a pdf of it and save it.
2. Create a pdf again, with the same file name. This dialog box comes up on one monitor
3. Libreoffice asks if I want to overwrite the file. But this dialog shows up on the other monitor
4. Confusion ensues.

I've seen this happen with other apps too.

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: unity 3.8.4-0ubuntu1
ProcVersionSignature: Ubuntu 2.6.38-8.41-generic 2.6.38.2
Uname: Linux 2.6.38-8-generic x86_64
NonfreeKernelModules: nvidia
Architecture: amd64
CompizPlugins: [core,bailer,detection,composite,opengl,decor,mousepoll,vpswitch,regex,animation,snap,expo,move,compiztoolbox,place,grid,gnomecompat,wall,ezoom,workarounds,staticswitcher,resize,fade,scale,session,unityshell]
Date: Fri Apr 8 13:25:09 2011
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Alpha amd64 (20110201.2)
ProcEnviron:
 LANGUAGE=en_US:en
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
 LC_PAPER=a4
SourcePackage: unity
UpgradeStatus: No upgrade log present (probably fresh install)

Related branches

lp:~andyrock/compiz/fix-874146
Merged into lp:compiz/0.9.9 at revision 3522
Łukasz Zemczak: Approve on 2012-12-11
Daniel van Vugt: Abstain on 2012-12-11
Sam Spilsbury: Approve on 2012-12-11
PS Jenkins bot: Approve (continuous-integration) on 2012-12-11
Amit Kucheria (amitk) wrote :
Bilal Akhtar (bilalakhtar) wrote :

Has this got something to do with LibreOffice/Java? Can you reproduce this in a GTK app such as Nautilus/GIMP/EOG/Banshee/Rhythmbox/Empathy/etc ?

Omer Akram (om26er) wrote :

Amit, does the issue also happen in Ubuntu Classic session, this way we can be sure that the problem is in compiz itself and not unity specific.

tags: added: multimonitor
Changed in unity:
status: New → Incomplete
Changed in unity (Ubuntu):
status: New → Incomplete

On 11 Apr 16, Bilal Akhtar wrote:
> Has this got something to do with LibreOffice/Java? Can you reproduce
> this in a GTK app such as
> Nautilus/GIMP/EOG/Banshee/Rhythmbox/Empathy/etc ?

I see this with Gimp. The toolbox, layer/channel and the main image window is
on one monitor. Then I right click on the image window and click on
File->Open.

The file selector opens on the other monitor.

[Expired for unity (Ubuntu) because there has been no activity for 60 days.]

Changed in unity (Ubuntu):
status: Incomplete → Expired
Omer Akram (om26er) wrote :

required information was provided but we need someone to test it on a multi-monitor setup.

Changed in unity (Ubuntu):
status: Expired → New
Changed in unity:
status: Incomplete → New
Alex Launi (alexlauni) on 2011-08-02
Changed in unity:
status: New → Confirmed
Changed in unity (Ubuntu):
status: New → Confirmed
Changed in compiz (Ubuntu):
status: New → Confirmed
Changed in unity:
importance: Undecided → Medium
Changed in compiz (Ubuntu):
importance: Undecided → Medium
Changed in unity (Ubuntu):
importance: Undecided → Medium
T_W (walshtc) wrote :

I get this issue consistently w/ Unity-3D. I just tried this with Unity-2D and did not see the problem.

To reproduce I simply open any app (LO Writer, gedit) and hit Control-O to open a file. With Unity-3D, the dialog pops up on my other (secondary) monitor. With Unity 2D, the dialog opens up on the same monitor as the app is running.

My multi-monitor config was set up using nvidia-settings and uses TwinView.

summary: - application dialogs come up on random screens in dual-monitor mode
+ Modal dialogs don't appear on the viewport of their parent window
affects: unity → compiz
Changed in compiz:
milestone: none → 0.9.8.0
no longer affects: unity (Ubuntu)
summary: - Modal dialogs don't appear on the viewport of their parent window
+ Modal dialogs don't appear on the workspace of their parent window

As a work around for some people you can install compizconfig-settings-manager and go into the General Options then hit up display settings and disable smart-mode. Although I assume this fix only works for people with different monitors with different resolutions (such as the people like me who had 1366 and then a 1080p tv connected to the HDMI.) I set mine to put everything new into the smaller window (my laptop screen) and it started placing all the dialogs and new windows into the right place.

Changed in compiz:
milestone: 0.9.8.0 → 0.9.8.1
Greg A (etulfetulf) on 2012-09-08
summary: - Modal dialogs don't appear on the workspace of their parent window
+ Modal dialogs don't appear on the monitor of their parent window
Changed in compiz:
milestone: 0.9.8.2 → 0.9.8.4
summary: - Modal dialogs don't appear on the monitor of their parent window
+ Modal dialogs don't appear on the same workspace/monitor as their parent
+ window
Greg A (etulfetulf) wrote :

Dear Daniel, I was just wondering why you have changed the title/summary to include workspaces? As far as I can tell, nobody has commented on this bug reporting an issue with dialogs appearing on the wrong workspace.

Daniel van Vugt (vanvugt) wrote :

Greg,

It was to accommodate a duplicate bug I just linked to this one, which has the same root cause and should be fixed by the fix for this one.

Greg A (etulfetulf) wrote :

Ah okay, my apologies for previously changing the title.

Changed in compiz:
milestone: 0.9.8.4 → 0.9.9.0
Matthew Meyer (osarusan) wrote :

This happens to me in just about every app. Gimp & chrome's save dialogues and so on... The panel's "Edit Connections" menu in the network area...

It's incredibly frustrating as I don't use my secondary monitor 100% of the time, and this bug forces me to disable it manually when it's off.

I'm sure this problem is related to the "Place Windows" plugin in Compiz. If I disable Place windows, then the windows all open on the proper monitor. However, they open up *under* the Unity panel, which is also annoying and not a decent fix.

Sushi (sushi-addiction13) wrote :

This is an extremely annoying bug. As others have mentioned you can set apps to open on on a different monitor. I open all apps on my primary monitor. See http://ubuntuforums.org/showpost.php?s=6c9b13a5e06988d3413925dd3937ce60&p=11852920&postcount=3

You can also drag windows with Workspace switcher. Simply click to show all workspaces and drag windows to appropriate monitor.

Matthew Meyer (osarusan) wrote :

Strangely enough, when I am using my secondary monitor, all of its windows open up on the primary one. No matter which one I use, the windows will open on the opposite monitor!

Matthew Meyer (osarusan) wrote :

Changing the monitor positions in Ubuntu -- putting a left-monitor on the right side instead of on the left -- also seems to provide a "workaround" for this problem. Very annoying how this is not getting fixed...

Michael Cook (michaelcook-mjc) wrote :

Dual-screens in U12.04 is not well implemented. As many have reported, either popups appear on the "other" screen to the application that launched them, or new applications launched by clicking on images, files etc, all seem to open in the left-most-screen. Somehow, at least on Thinkpad using NVIDIA, the left-most screen seems to always launch new application windows when the app is launched indirectly, say from Nautilus actions like "open" or "edit".

In numerous applications I use, Unity launches their small dialogs into the opposite monitor from which I'm using an application. This behavior is rarely useful to me, and actually causes me to have to do a lot more mousing, while using a particular application;

For example, I'll select an option from a menu (in an application) and the application will launch a small dialog that will allow me to configure some settings (or simply confirm I want to proceed), and this dialog gets launched into the opposite monitor from where I'm using the application (causing me to mouse all the way over to the center of the opposite monitor to simply confirm I want to proceed (for example).

Some applications, automatically launch a second dialog after the main application is launched (for choosing options during your session with that application). Often, in these cases, the main form of the application is not accessible until that dialog is answered (making the application seem totally unresponsive), while all along I didn't see that Unity caused that application's startup-dialog to be launched into the second monitor. After discovering this, and answering the dialog, the application's main form will then become responsive like normal, but its really annoying when I don't notice the small-application-specific dialogs launching into the 2nd monitor.

Another example is, if I try to restart my computer from the panel on Monitor 1, the confirmation dialog comes up in Monitor 2! This is especially annoying when I've already turned off that monitor. I then have to turn it back on just to proceed with a restart or shutdown.

ProblemType: Bug
DistroRelease: Ubuntu 12.10
Package: unity 6.10.0-0ubuntu2
ProcVersionSignature: Ubuntu 3.5.0-18.29-generic 3.5.7
Uname: Linux 3.5.0-18-generic x86_64
ApportVersion: 2.6.1-0ubuntu6
Architecture: amd64
CompizPlugins: [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell]
Date: Wed Nov 14 07:02:49 2012
InstallationDate: Installed on 2012-10-19 (26 days ago)
InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Release amd64 (20121017.5)
MarkForUpload: True
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: unity
UpgradeStatus: No upgrade log present (probably fresh install)

tags: added: quantal

I don't want to speak too soon, but for the first time EVER, today I'm not experiencing this undesired behavior.

Changed in compiz:
assignee: nobody → Andrea Azzarone (andyrock)
Changed in compiz (Ubuntu):
assignee: nobody → Andrea Azzarone (andyrock)
Changed in compiz:
status: Confirmed → In Progress
Changed in compiz (Ubuntu):
status: Confirmed → In Progress
Changed in compiz:
status: In Progress → Fix Committed
Changed in compiz (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package compiz - 1:0.9.9~daily13.01.14-0ubuntu1

---------------
compiz (1:0.9.9~daily13.01.14-0ubuntu1) raring; urgency=low

  [ sampo555 ]
  * compiz crashed with SIGSEGV in DodgeAnim::applyDodgeTransform() (LP:
    #1048840)
  * compiz crashing if window un-/minimize animation is "Random" (LP:
    #1098185)

  [ Daniel van Vugt ]
  * Several leaks in new GLProgram from compileProgram() from
    GLScreen::getProgram() from GLWindowAutoProgram::getProgram() (LP:
    #1097644)

  [ Sam Spilsbury ]
  * Several leaks in ccsIntegratedSettingListAppend() ... from
    ccsGNOMEIntegrationBackendGetIntegratedSetting() from readSetting
    (gsettings.c:375) (LP: #1097661)

  [ MC Return ]
  * Thumbnail Window Previews: Flickering of background/glow and window
    title text (LP: #1098758)

  [ Automatic PS uploader ]
  * Automatic snapshot from revision 3561
 -- Automatic PS uploader <email address hidden> Mon, 14 Jan 2013 04:03:09 +0000

Changed in compiz (Ubuntu):
status: Fix Committed → Fix Released
Changed in compiz:
status: Fix Committed → Fix Released
John (john-e-francis) wrote :

I'm still seeing wrong-workspace behaviour with recent upgrade to Raring...compiz version is 1.0.9.9~daily13.04.18-0ubuntu1

The application I experience the problem is soap-ui (www.soapui.org). It's a java application.

I have a multi-monitor setup.

There are 3 areas of interest.
1) Startup splash screen. Appears on the correct screen (1) and workspace (1), but misaligned (should be centered).
2) Main Application screen. Appears on workspace #2, screen #1.
3) Application closing modal dialog. Appears on workspace #1, screen #2.

This is a related bug, that emphasizes how crucial this bug is for the Display settings dialog:
https://bugs.launchpad.net/unity/+bug/1176449

danep (danepowell) wrote :

So it looks like this has been fixed in Raring with compiz 1:0.9.9, but is there any chance that it will be backported to Quantal? By which I guess I mean, will it be backported to compiz 1:0.9.8 ?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers